HACKRF_DEBUG(1)

NAME
hackrf_debug - register manipultion tool

DESCRIPTION

  Usage:

-h, --help: this help

-n, --register <n>: set register number for read/write operations

-r, --read: read register specified by last -n argument, or all registers

-w, --write <v>: write register specified by last -n argument with value <v>

-c, --config: print SI5351C multisynth configuration information

-d, --device <s>: specify a particular device by serial number

-m, --max2837: target MAX2837

-s, --si5351c: target SI5351C

-f, --rffc5072: target RFFC5072

-u, --ui <1/0>: enable/disable UI

EXAMPLES

hackrf_debug --si5351c -n 0 -r
    # reads from si5351c register 0

hackrf_debug --si5351c -c
    # displays si5351c multisynth configuration

hackrf_debug --rffc5072 -r
    # reads all rffc5072 registers

    hackrf_debug --max2837 -n 10 -w 22 # writes max2837 register 10 with 22 decimal

  Usage:

-h, --help: this help

-n, --register <n>: set register number for read/write operations

-r, --read: read register specified by last -n argument, or all registers

-w, --write <v>: write register specified by last -n argument with value <v>

-c, --config: print SI5351C multisynth configuration information

-d, --device <s>: specify a particular device by serial number

-m, --max2837: target MAX2837

-s, --si5351c: target SI5351C

-f, --rffc5072: target RFFC5072

-u, --ui <1/0>: enable/disable UI

hackrf_debug --si5351c -n 0 -r
    # reads from si5351c register 0

hackrf_debug --si5351c -c
    # displays si5351c multisynth configuration

hackrf_debug --rffc5072 -r
    # reads all rffc5072 registers

    hackrf_debug --max2837 -n 10 -w 22 # writes max2837 register 10 with 22 decimal

SEE ALSO
The primary source of documentation is the wiki on github:

https://github.com/mossmann/hackrf/wiki